Download it now!
Bug 40124 - Chart lines moved importing Excel xls
Summary: Chart lines moved importing Excel xls
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
3.3.3 release
Hardware: x86 (IA32) All
: low normal
Assignee: Not Assigned
URL:
Whiteboard: Confirmed:4.2.0.2:OSX
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2011-08-15 22:58 UTC by Christopher M. Penalver
Modified: 2018-12-07 03:46 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2011-08-15 22:58:19 UTC
Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/179531

OOo bug may be found at:
http://qa.openoffice.org/issues/show_bug.cgi?id=87107

1) lsb_release -rd
Description: Ubuntu 11.04
Release: 11.04

2) apt-cache policy libreoffice-calc
libreoffice-calc:
  Installed: 1:3.3.3-1ubuntu2
  Candidate: 1:3.3.3-1ubuntu2
  Version table:
 *** 1:3.3.3-1ubuntu2 0
        100 /var/lib/dpkg/status
     1:3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages
     1:3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

3) What is expected to happen in LibreOffice Calc via the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/179531/+attachment/2145491/+files/to-m20e_4.xls && localc -nologo to-m20e_4.xls

is the graph looks like as it does in Excel ( https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/179531/+attachment/2145492/+files/SS_image.gif ).

4) What happens instead is the colored lines of the graph are moved in Calc.
Comment 1 Björn Michaelsen 2011-12-23 12:33:47 UTC Comment hidden (obsolete)
Comment 2 Christopher M. Penalver 2012-01-16 17:36:30 UTC
Reproducible in:
lsb_release -rd
Description: Ubuntu precise (development branch)
Release: 12.04

apt-cache policy libreoffice-impress
libreoffice-impress:
  Installed: 1:3.5.0~beta2-2ubuntu3
  Candidate: 1:3.5.0~beta2-2ubuntu3
  Version table:
 *** 1:3.5.0~beta2-2ubuntu3 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status
Comment 3 retired 2014-01-21 10:40:28 UTC
Confirmed:4.2.0.2:OSX
OS > All
Comment 4 Joel Madero 2015-05-02 15:41:31 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-06-20 13:12:38 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 6 QA Administrators 2016-09-20 10:10:36 UTC Comment hidden (obsolete)
Comment 7 Thomas Lendo 2017-12-06 23:00:03 UTC
Still repro in Version: 6.1.0.0.alpha0+
Build ID: aa0b08980aba7bc82ab75151129b0c643cde7dfa
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: group threaded
Comment 8 QA Administrators 2018-12-07 03:46:56 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug